import axios from '@/ajax.js';
import Vue from 'vue';
const optBaseUrl = '/opt';
//路口列表
export function crossDeviceStatusInfo(data) {
    return axios({
        url: "/situationDetection/crossDeviceStatusInfo",
        method: 'get',
        params: data
    })
}

//问题子区
export function api_greenwaveList(data) {
    return axios({
        url: optBaseUrl + "/trend/greenwaveList",
        method: 'post',
        data: data
    })
}
//问题列表
export function api_abnormalCrossList(data) {
    return axios({
        url: optBaseUrl + "/trend/abnormalCrossList",
        method: 'post',
        data: data
    })
}
//事件告警
export function api_EventAlarm(data) {
    return axios({
        url: optBaseUrl + "/trend/eventAlarm",
        method: 'post',
        data: data
    })
}
//问题路口详情
export function api_abnormalCrossDetail(data) {
    return axios({
        url: optBaseUrl + "/trend/abnormalCrossDetail",
        method: 'post',
        data: data
    })
}
//优化效果
export function api_optEffect(data) {
    return axios({
        url: optBaseUrl + "/diagno/optEffect",
        method: 'post',
        data: data
    })
}
//查询当前路口周边路口
export function api_queryNeighborCross(data) {
    return axios({
        url: optBaseUrl + "/diagno/queryNeighborCross",
        method: 'post',
        data: data
    })
}
//查询优化时间
export function api_querySchemeOpt(data) {
    return axios({
        url: optBaseUrl + "/diagno/querySchemeOpt",
        method: 'post',
        data: data
    })
}
//下发手动干预
export function api_sendManual(data) {
    return axios({
        url: optBaseUrl + "/diagno/sendManual",
        method: 'post',
        data: data
    })
}
//表格分时段查询
export function tableQuery(data) {
    return axios({
        url: optBaseUrl + "/trend/tableQuery",
        method: 'post',
        data: data
    })
}
//表格实时推送
export function tableRealTime(data) {
    return axios({
        url: optBaseUrl + "/trend/tableRealTime",
        method: 'post',
        data: data
    })
}
//数量实时推送
export function countRealTime(data) {
    return axios({
        url: optBaseUrl + "/trend/countRealTime",
        method: 'post',
        data: data
    })
}
//优化类型
export function optType(data) {
    return axios({
        url: optBaseUrl + "/trend/optType",
        method: 'post',
        data: data
    })
}








